Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface DocumentBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGDocumentBridge

    public interface DocumentBridge

extends Bridge

Interface for bridge classes that operate on Document nodes.

Method Summary
`void` | `buildGraphicsNode(BridgeContext ctx, Document doc, RootGraphicsNode node)` Builds using the specified BridgeContext and element, the specified graphics node.
`RootGraphicsNode` | `createGraphicsNode(BridgeContext ctx, Document doc)` Creates a `GraphicsNode` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createGraphicsNode

    RootGraphicsNode createGraphicsNode(BridgeContext ctx,
                                        Document doc)

  Creates a `GraphicsNode` according to the specified parameters. This is called before children have been added to the returned GraphicsNode (obviously since you construct and return it).

  Parameters:
    `ctx` - the bridge context to use
    `doc` - the document node that describes the graphics node to build
  Returns:
    a graphics node that represents the specified document node

### buildGraphicsNode

    void buildGraphicsNode(BridgeContext ctx,
                           Document doc,
                           RootGraphicsNode node)

  Builds using the specified BridgeContext and element, the specified graphics node. This is called after all the children of the node have been constructed and added, so it is safe to do work that depends on being able to see your children nodes in this method.

  Parameters:
    `ctx` - the bridge context to use
    `doc` - the document node that describes the graphics node to build
    `node` - the graphics node to build

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.